<?php

require_once '../includes/start.php';
require_once '../includes/function.php';
require_once '../includes/header.php';


$a=$_GET['a'];
$q = mysql_query("SELECT * FROM `army` WHERE `id`='".check(mysql_real_escape_string($a))."'");
$f = mysql_fetch_array($q);
$s = mysql_query("SELECT * FROM `planet` WHERE `x`='".$f['x']."' AND `y`='".$f['y']."'");
$p = mysql_fetch_array($s);
if($game==0 OR $level==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';

}else{
		$units=$f['u1']+$f['u2']+$f['u3']+$f['u4']+$f['u5']+$f['u6']+$f['u7']+$f['u8']+$f['u9']+$f['u10']+$f['u11']+$f['u12'];
		$units1=$f['u8']+$f['u9']+$f['u10']+$f['u11']+$f['u12'];
		$units2=$f['u1']+$f['u2']+$f['u3']+$f['u4'];
		$units3=$f['u5']+$f['u6']+$f['u7'];
		$vmest=($units2*1.5)+($units3*3);
	switch ($act) {
	default:
	if($f['uid']==$use_id AND $f['onpl']==0){
	echo '<div class="top"><a href="army.php">Флот</a> | Отряд <u>'.$f['name'].'</u></div>';
	echo '<div class="cont">Планета: <a href="planet.php?act=pl&amp;p='.$f['planet'].'">'.$f['name_planet'].'</a><br/>Расположение x:'.$f['x'].' y:'.$f['y'].'<br/>
	Вместимость: '.$vmest.'/'.($f['u8']*10).'</div>';
$onpl = mysql_result(mysql_query("SELECT COUNT(*) FROM `sosed` WHERE `uid1`='".$use_id."' AND `uid2`='".$p['uid']."' AND `planet`='".$p['id']."' AND `war`=1;"), 0);
if($p['uid']==$use_id AND $p['name']!='')echo '<div class="cont"><img src="../images/war.jpg" alt="image" /> <span class="green">Это ваша планета!</span></div>';
if($p['uid']!=$use_id AND $p['fr_id']==$fr_id AND $fr_id!=0 AND $p['name']!='')echo '<div class="cont"><img src="../images/war.jpg" alt="image" /> <span class="blue">Это планета вашего союзника по фракции!</span></div>';
if($onpl==1)echo '<div class="cont"><img src="../images/war.jpg" alt="image" /> <span class="red">Вы обьявили войну этой планете!</span></div>';
if($f['time']<$realtime){
if($f['uid']==$use_id AND $p['name']!='')echo '<div class="top"><img src="../images/army.gif" alt="image" /> <a href="?act=onpl&amp;&amp;a='.$f['id'].'">Высадится на поверхность</a></div>';
}else{
echo '<div class="top"><img src="../images/time.gif" alt="image" /> Отдых '. intval(($f['time']-$realtime)/60) .' минут</div>';}
$x1=$f['x']-3;
$y1=$f['y']+3;
$wave=1;
$table=1;
echo '<div class="conts" align="center"><table cellspacing="0" cellpadding="0">';
while($wave<='49'){
if($table=='8'){
$table='1';
$x1=$x1-'7';
$y1=$y1-'1';}
$mm1 = mysql_query("SELECT * FROM `sector_loc` WHERE `x`='".$x1."' and `y`='".$y1."' ORDER BY `loc` DESC LIMIT 1");
$map1 = mysql_fetch_array($mm1);


if($table=='1')echo'<tr border="0" HEIGHT="18">';
echo'<td BGCOLOR="black">';
if($map1['x']==$f['x'] AND $map1['y']==$f['y'] AND $map1['loc']!=5)echo '<a href="?act=loc&amp;a='.$f['id'].'">';
if($map1['x']==$f['x'] AND $map1['y']==$f['y'] AND $map1['loc']==5)echo '<a href="?act=port&amp;a='.$f['id'].'">';
$sp=rand(1,10);
if($map1['loc']==7)echo '<img src="../images/space/sun.jpg" alt="" />';
if($map1['loc']==6)echo '<img src="../images/space/zellnaga.jpg" alt="" />';
if($map1['loc']==5)echo '<img src="../images/space/teleport.jpg" alt="" />';
if($map1['loc']==4)echo '<img src="../images/space/moon'.$map1['type'].'.jpg" alt="" />';
if($map1['loc']==3)echo '<img src="../images/space/l'.$map1['type'].'.jpg" alt="" />';
if($map1['loc']==2)echo '<img src="../images/planet/'.$map1['type'].'.jpg" alt="" />';
if($map1['loc']==1)echo ''.otr($map1['type'], $map1['fr_id'], $fr_id, $map1['uid'], $use_id).'';
if($map1['loc']=='')echo '<img src="../images/space/space'.$sp.'.jpg" alt="image" />';
if($map1['x']==$f['x'] AND $map1['y']==$f['y'])echo '</a>';
echo'</td>';
if($table=='7')echo'</tr>';

$wave++;
$table++;
$x1++;
}

echo'</table></div>';
	if($f['time']<$realtime AND $f['autopilot']==0){
	echo '<div class="top"><a href="?act=x&amp;x='. ($f['x']-1) .'&amp;a='.$f['id'].'"><img src="../images/left.png" alt="image" /></a>';
	echo '<a href="?act=y&amp;y='. ($f['y']-1) .'&amp;a='.$f['id'].'"><img src="../images/down.png" alt="image" /></a>';
	echo '<a href="?act=y&amp;y='. ($f['y']+1) .'&amp;a='.$f['id'].'"><img src="../images/up.png" alt="image" /></a>';
	echo '<a href="?act=x&amp;x='. ($f['x']+1) .'&amp;a='.$f['id'].'"><img src="../images/right.png" alt="image" /></a></div>';}
	if($f['autopilot']==1)echo '<div class="top">Автополет активирован  ['.$f['autoloc'].' переходов]</div>';
	if($units1!=0){echo '<div class="top">Воздушные войска</div><div class="conts">';
	if($f['u8']!=0)echo ''.rasa($rasa).' '.units(8, $rasa).': '.$f['u8'].'<br/>';
	if($f['u9']!=0)echo ''.rasa($rasa).' '.units(9, $rasa).': '.$f['u9'].'<br/>';
	if($f['u10']!=0)echo ''.rasa($rasa).' '.units(10, $rasa).': '.$f['u10'].'<br/>';
	if($f['u11']!=0)echo ''.rasa($rasa).' '.units(11, $rasa).': '.$f['u11'].'<br/>';
	if($f['u12']!=0)echo ''.rasa($rasa).' '.units(12, $rasa).': '.$f['u12'].'<br/>';
	echo '</div>';}
	if($units2!=0){echo '<div class="top">Легкие наземные войска</div>';
	echo '<div class="conts">';
	if($f['u1']!=0)echo ''.rasa($rasa).' '.units(1, $rasa).': '.$f['u1'].'<br/>';
	if($f['u2']!=0)echo ''.rasa($rasa).' '.units(2, $rasa).': '.$f['u2'].'<br/>';
	if($f['u3']!=0)echo ''.rasa($rasa).' '.units(3, $rasa).': '.$f['u3'].'<br/>';
	if($f['u4']!=0)echo ''.rasa($rasa).' '.units(4, $rasa).': '.$f['u4'].'<br/>';
	echo '</div>';}
	if($units3!=0){echo '<div class="top">Тяжелые наземные войска</div>';
	echo '<div class="conts">';
	if($f['u5']!=0)echo ''.rasa($rasa).' '.units(5, $rasa).': '.$f['u5'].'<br/>';
	if($f['u6']!=0)echo ''.rasa($rasa).' '.units(6, $rasa).': '.$f['u6'].'<br/>';
	if($f['u7']!=0)echo ''.rasa($rasa).' '.units(7, $rasa).': '.$f['u7'].'<br/>';
	echo '</div>';}
	}
		break;
		case 'x':
	if($f['uid']==$use_id AND $f['onpl']==0 AND $f['autopilot']==0){
	$ax=$_GET['x'];
	$wb=$_GET['o'];
	echo '<div class="top">Перемещение отряда <a href="?act=a&amp;a='.$f['id'].'"> '.$f['name'].'</a></div><div class="conts">';
	if($ax!=$f['x']+1 && $ax!=$f['x']-1 OR $ax<=0 OR $ax>=60){echo 'Вы не можете переместиться на эту локацию!';}else{

	if($f['time']>=$realtime){echo '<img src="../images/time.gif" alt="image" /> Отдых '. intval(($f['time']-$realtime)/60) .' минут';}else{
		if($wb!=1){
							echo '<img src="../images/army.gif" alt="image" /> Вы уверенны что хотите переместить отряд на позицию x:'.check($ax).' y:'.$f['y'].'<br/>';
							echo '<img src="../images/time.gif" alt="image" /> Время отдыха будет составлять 3 минуты<br/>';
							echo '<a href="?act=x&amp;o=1&amp;a='.$f['id'].'&amp;x='. check($ax) .'">Да</a> или <a href="sp_army.php?a='.$f['id'].'">Отмена</a>';
							}else{
	mysql_query("UPDATE `army` SET `x`='".check($ax)."', `time`=$realtime+180 WHERE `id`='".$f['id']."';");
	mysql_query("UPDATE `sector_loc` SET `x`='".check($ax)."' WHERE `aid`='".$f['id']."';");	
	
	$s1 = mysql_query("SELECT * FROM `planet` WHERE `x`='".mysql_real_escape_string(check($ax))."' AND `y`='".$f['y']."'");
	$p1 = mysql_fetch_array($s1);
	if($p1['name']!='')$sosed = mysql_result(mysql_query("SELECT COUNT(*) FROM `sosed` WHERE `uid1`='".$use_id."' AND `uid2`='".$p1['uid']."' AND `planet`='".$p1['id']."';"), 0);
	if($sosed==0 AND $p1['uid']!=$use_id AND $p1['name']!=''){
	mysql_query("INSERT INTO `doklad` SET `uid`='".$use_id."', `time`='" . time() . "', `type`=4, `text`='Вы обнаружили планету <b>".$p1['name']."</b>';");
	mysql_query("INSERT INTO `doklad` SET `uid`='".$p['uid']."', `time`='" . time() . "', `type`=4, `text`='Вашу планету <b>".$p1['name']."</b> обнаружил игрок <b>".$login."</b>';");
	mysql_query("INSERT INTO `sosed` SET `uid1`='".$use_id."', `uid2`='".$p1['uid']."', `planet`='".$p1['id']."', `name`='".$p1['name']."', `type`='".$p1['type']."', `x`='".$p1['x']."', `y`='".$p1['y']."';");}	
	header("Location: ?a=".$f['id']."");	
}
}}}
echo '</div>';
	break;
			case 'y':
	
	if($f['uid']==$use_id AND $f['onpl']==0 AND $f['autopilot']==0){
	$ay=$_GET['y'];
	$wb=$_GET['o'];
	echo '<div class="top">Перемещение отряда <a href="?act=a&amp;a='.$f['id'].'"> '.$f['name'].'</a></div><div class="conts">';
	if($ay!=$f['y']+1 && $ay!=$f['y']-1 OR $ay<=0){echo 'Вы не можете переместиться на эту локацию!';}else{
	if($f['time']>=$realtime){echo '<img src="../images/time.gif" alt="image" /> Отдых '. intval(($f['time']-$realtime)/60) .' минут';}else{
		if($wb!=1){
							echo '<img src="../images/army.gif" alt="image" /> Вы уверенны что хотите переместить отряд на позицию x:'.$f['x'].' y:'.check($ay).'<br/>';
							echo '<img src="../images/time.gif" alt="image" /> Время отдыха будет составлять 3 минуты<br/>';
							echo '<a href="?act=y&amp;o=1&amp;a='.$f['id'].'&amp;y='. check($ay) .'">Да</a> или <a href="sp_army.php?a='.$f['id'].'">Отмена</a>';
							}else{	
	mysql_query("UPDATE `army` SET `y`='".check($ay)."', `time`=$realtime+180 WHERE `id`='".$f['id']."';");		
	mysql_query("UPDATE `sector_loc` SET `y`='".check($ay)."' WHERE `aid`='".$f['id']."';");	
	$s1 = mysql_query("SELECT * FROM `planet` WHERE `y`='".mysql_real_escape_string(check($ay))."' AND `x`='".$f['x']."'");
	$p1 = mysql_fetch_array($s1);
	if($p1['name']!='')$sosed = mysql_result(mysql_query("SELECT COUNT(*) FROM `sosed` WHERE `uid1`='".$use_id."' AND `uid2`='".$p1['uid']."' AND `planet`='".$p1['id']."';"), 0);
	if($sosed==0 AND $p1['uid']!=$use_id AND $p1['name']!=''){
	mysql_query("INSERT INTO `doklad` SET `uid`='".$use_id."', `time`='" . time() . "', `type`=4, `text`='Вы обнаружили планету <b>".$p1['name']."</b>';");
	mysql_query("INSERT INTO `doklad` SET `uid`='".$p1['uid']."', `time`='" . time() . "', `type`=4, `text`='Вашу планету <b>".$p1['name']."</b> обнаружил игрок <b>".$login."</b>';");
	mysql_query("INSERT INTO `sosed` SET `uid1`='".$use_id."', `uid2`='".$p1['uid']."', `planet`='".$p1['id']."', `name`='".$p1['name']."', `type`='".$p1['type']."', `x`='".$p1['x']."', `y`='".$p1['y']."';");}	
	header("Location: ?a=".$f['id']."");
}
}}}
echo '</div>';
	break;
	case 'loc':
	if($f['uid']==$use_id AND $f['onpl']==0){
	$razvbuilding = mysql_result(mysql_query("SELECT (b4) FROM `building` WHERE `planet_id`='".$f['planet']."';"), 0);
	div('<a href="army.php?act=a&amp;a='.$f['id'].'">Отряд '.$f['name'].'</a> | Данные разведки','top');
	echo '<div class="cont">Расположение x:'.$f['x'].' y:'.$f['y'].'</div>';
	if($razvbuilding==0){echo '<div class="conts">'.b(4, $rasa).' на планете <a href="planet.php?act=pl&amp;p='.$f['planet'].'">'.$f['name_planet'].'</a> не построена! Разведка локации и находящихся на ней обьектов невозможна</div>';}else{
		$PAGINGS = mysql_query("SELECT * FROM `sector_loc` WHERE `x`='".$f['x']."' AND `y`='".$f['y']."' ORDER BY `loc` DESC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{
			echo '<div class="conts">';
			
			if($row['loc']==1){
			$q2 = mysql_query("SELECT * FROM `army` WHERE `id`='".$row['aid']."'");
			$f2 = mysql_fetch_array($q2);
			echo ''.otr($f2['rasa'], $f2['fr_id'], $fr_id, $f2['uid'], $use_id).' ';
			if($rasa==1)echo 'Отряд <a href="../terran/radar.php?act=army&amp;p='.$f['planet'].'&amp;a1='.$f2['id'].'&amp;a2='.$f['id'].'"><span class="'.crasa($f2['rasa']).'">'.$f2['name'].'</span></a>';
			if($rasa==2)echo 'Отряд <a href="../protoss/kont.php?act=army&amp;p='.$f['planet'].'&amp;a1='.$f2['id'].'&amp;a2='.$f['id'].'"><span class="'.crasa($f2['rasa']).'">'.$f2['name'].'</span></a>';
			if($rasa==3)echo 'Отряд <a href="../zerg/spor.php?act=army&amp;p='.$f['planet'].'&amp;a1='.$f2['id'].'&amp;a2='.$f['id'].'"><span class="'.crasa($f2['rasa']).'">'.$f2['name'].'</span></a>';
			}
			if($row['loc']==2){
			$q2 = mysql_query("SELECT * FROM `planet` WHERE `id`='".$row['planet']."'");
			$f2 = mysql_fetch_array($q2);
			echo '<img src="../images/planet_small/'.$row['type'].'.jpg" alt="" /> ';
			if($rasa==1)echo 'Планета <a href="../terran/radar.php?act=planet&amp;p='.$f['planet'].'&amp;l='.$f2['id'].'&amp;a='.$f['id'].'"><span class="'.crasa($f2['rasa']).'">'.$f2['name'].'</span></a>';
			if($rasa==2)echo 'Планета <a href="../protoss/kont.php?act=planet&amp;p='.$f['planet'].'&amp;l='.$f2['id'].'&amp;a='.$f['id'].'"><span class="'.crasa($f2['rasa']).'">'.$f2['name'].'</span></a>';
			if($rasa==3)echo 'Планета <a href="../zerg/spor.php?act=planet&amp;p='.$f['planet'].'&amp;l='.$f2['id'].'&amp;a='.$f['id'].'"><span class="'.crasa($f2['rasa']).'">'.$f2['name'].'</span></a>';
			}
			if($row['loc']==3){
			echo '<img src="../images/space/l'.$row['type'].'.jpg" alt="" /> ';
			echo ''.met($row['type']).'';
			}
			if($row['loc']==4){
			$q2 = mysql_query("SELECT * FROM `planet` WHERE `id`='".$row['planet']."'");
			$f2 = mysql_fetch_array($q2);
			echo '<img src="../images/space/moon'.$row['type'].'.jpg" alt="" /> ';
			echo 'Луна планеты <span class="'.crasa($f2['rasa']).'">'.$f2['name'].'</span>';
			}
			if($row['loc']==5){
			$q2 = mysql_query("SELECT * FROM `users` WHERE `id`='".$row['uid']."'");
			$f2 = mysql_fetch_array($q2);
			echo '<img src="../images/space/teleport.jpg" alt="" /> ';
			echo 'Портал игрока <a href="../p/anketa.php?id='.$f2['id'].'"><span class="'.crasa($f2['rasa']).'">'.$f2['login'].'</span></a>';
			}
			if($row['loc']==6){
			echo '<img src="../images/space/zellnaga.jpg" alt="" /> ';
			if($rasa==1)echo '<a href="../terran/radar.php?act=zellnaga&amp;p='.$f['planet'].'&amp;r='.$row['planet'].'&amp;a='.$f['id'].'">Древний корабль</a>';
			if($rasa==2)echo '<a href="../protoss/kont.php?act=zellnaga&amp;p='.$f['planet'].'&amp;r='.$row['planet'].'&amp;a='.$f['id'].'">Древний корабль</a>';
			if($rasa==3)echo '<a href="../zerg/spor.php?act=zellnaga&amp;p='.$f['planet'].'&amp;r='.$row['planet'].'&amp;a='.$f['id'].'">Древний корабль</a>';
			echo ' Зелл-Нага';
			}
			echo '</div>';
			
	}}}
	echo '<div class="conts"><a href="?act=a&amp;a='.$f['id'].'"><<Назад</a></div>';}
 break;
 case 'port';
 if($f['uid']==$use_id AND $f['onpl']==0){
 div('<a href="army.php?act=a&amp;a='.$f['id'].'">Отряд '.$f['name'].'</a> | Телепортация отряда','top');
 div('<a href="?act=loc&amp;a='.$f['id'].'">Разведка локации</a>','cont');
 if($f['time']>=$realtime){echo '<div class="conts">Вы сможете телепортировать отряд не раньше чем через <img src="../images/time.gif" alt="image" /> '. intval(($f['time']-$realtime)/60) .' минут</div>';}else{
 $onport = mysql_result(mysql_query("SELECT COUNT(*) FROM `sector_loc` WHERE `uid`='".$use_id."' AND `loc`=5;"), 0);
 if($onport==0)echo '<div class="cont">У вас нет порталов под вашим контролем для перемещения отряда</div>';
 if($onport>=1)echo '<div class="cont">Выберите портал к которому вы хотите переместить отряд</div>';
 	$PAGINGS = mysql_query("SELECT * FROM `sector_loc` WHERE `uid`='".$use_id."' AND `loc`=5 ORDER BY `id` DESC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{

			echo '<div class="conts">';
			if($row['x']==$f['x'] AND $row['y']==$f['y'])echo '<img src="../images/space/teleport.jpg" alt="" /> Портал [x:'.$row['x'].' y:'.$row['y'].']';
			if($row['x']!=$f['x'] OR $row['y']!=$f['y'])echo '<img src="../images/space/teleport.jpg" alt="" /> <a href="?act=portok&amp;a='.$f['id'].'&amp;p='.$row['id'].'">Портал</a> [x:'.$row['x'].' y:'.$row['y'].']';
			echo '</div>';
	}

	}}
 echo '<div class="conts"><a href="?act=a&amp;a='.$f['id'].'"><<Назад</a></div>';
 }
 break;
 
 				case 'portok':
				if($f['uid']==$use_id AND $f['onpl']==0){
		$p=$_GET['p'];
		div('<a href="army.php?act=a&amp;a='.$f['id'].'">Отряд '.$f['name'].'</a> | Телепортация отряда','top');
		$q1 = mysql_query("SELECT * FROM `sector_loc` WHERE `id`='".check(mysql_real_escape_string($p))."'");
		$f1 = mysql_fetch_array($q1);
	if($f1['x']<=$f['x'])$tx=$f['x']-$f1['x'];
	if($f1['x']>$f['x'])$tx=$f1['x']-$f['x'];
	if($f1['y']<=$f['y'])$ty=$f['y']-$f1['y'];
	if($f1['y']>$f['y'])$ty=$f1['y']-$f['y'];
	$tm=(120*$tx)+(120*$ty);	
	if($f1['loc']==5 AND $f1['uid']==$use_id AND $f['time']<$realtime AND ($f1['x']!=$f['x'] OR $f1['y']!=$f['y'])){
	echo '<div class="conts">';
		$wb=$_GET['o'];
		if($wb!=1){
		                    
							echo 'Вы уверенны что хотите телепортировать отряд <span class="'.crasa($rasa).'">'.$f['name'].'</span> в <img src="../images/space/teleport.jpg" alt="" /> портал x:'.$f1['x'].' y:'.$f1['y'].'? 
							Время отдыха отряда составит <img src="../images/time.gif" alt="image" /> '. intval((($tm+$realtime)-$realtime)/60) .' минут<br/>';
							echo '<a href="?act=portok&amp;a='.$f['id'].'&amp;p='.check($p).'&amp;o=1">Да</a> или <a href="?a='.$f['id'].'">Отмена</a><br/>';
							
							}else{
							echo 'Вы телепортировали отряд <span class="'.crasa($rasa).'">'.$f['name'].'</span> в <img src="../images/space/teleport.jpg" alt="" /> портал x:'.$f1['x'].' y:'.$f1['y'].'';
							mysql_query("UPDATE `army` SET `x`='".$f1['x']."', `y`='".$f1['y']."', `time`=$realtime+$tm WHERE `id`='".$f['id']."';");
							mysql_query("UPDATE `sector_loc` SET `x`='".$f1['x']."', `y`='".$f1['y']."' WHERE `aid`='".$f['id']."';");
							}
echo '</div>';
	}}
		break;
 
 
	case 'onpl':
	if($f['uid']==$use_id AND $p['name']!=''){

	div('<a href="pl_army.php?act=a&amp;a='.$f['id'].'">Отряд '.$f['name'].'</a> | Высадка на поверхность','top');
	$plx=$f['xpl'];
	$ply=$f['xpl'];
	
	
	if($fr_id==$p['fr_id'] AND $fr_id!=0 AND $p['fr_id']){
	$plx=4;
	$ply=4;
	}else{
	$plx=$f['xpl'];
	$ply=$f['xpl'];
	if($f['xpl']==4 AND $f['xpl']==4){
	$plx=5;
	$ply=5;
	}}
	echo '<div class="conts">';
	$wb=$_GET['o'];
	if($wb!=1){
							echo '<img src="../images/army.gif" alt="image" /> Вы уверенны что хотите высадить отряд на поверхность планеты '.$p['name'].'?<br/>';
							echo '<img src="../images/time.gif" alt="image" /> Время отдыха будет составлять 5 минут<br/>';
							echo '<a href="?act=onpl&amp;o=1&amp;a='.$f['id'].'">Да</a> или <a href="sp_army.php?a='.$f['id'].'">Отмена</a>';
							}else{
	echo '<img src="../images/army.gif" alt="image" /> Отряд успешно высажен на локацию планеты '.$p['name'].' по координатам x:'.$plx.' y:'.$ply.'';
	mysql_query("UPDATE `army` SET `onpl`='".$p['id']."', `xpl`='".$plx."', `ypl`='".$ply."', `time`=$realtime+300 WHERE `id`='".$f['id']."';");
	if($p['uid']!=$f['uid'])mysql_query("INSERT INTO `doklad` SET `uid`='".$p['uid']."', `time`='" . time() . "', `type`=4, `text`='Отряд ".$f['name']." игрока <b>".$login."</b> высадился на поверхность вашей планеты <b>".$p['name']."</b>';");
}
	echo '</div>';
	}
	break;

	}
}
echo '<div class="razd"></div>';
echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
echo '<div class="razd"></div>';
require_once '../includes/footer1.php';
?>
